clear
close all

hm=ones(3,3)/9.
hg=[1 2 1;2 4 2;1 2 1]/16.
hh=-ones(3,3); hh(2,2)=9.; hh

dim = 120;
dam = 40;
I=.45*ones(dim,dim);
I(dim/2-dam/2+1:dim/2+dam/2,dim/2-dam/2+1:dim/2+dam/2)=.55;
% ou : I=.45*ones(120,120); I(41:80,41:80)=.55;

Im=filter2(hm,I);
Ig=filter2(hg,I);
Ih=filter2(hh,I);

figure
colormap('gray')
subplot(2,2,1), imagesc(I(2:end-1,2:end-1)), colorbar
title('image de dpart'), axis('square')
subplot(2,2,2), imagesc(Im(2:end-1,2:end-1)), colorbar
title('moyenne glissante'), axis('square')
subplot(2,2,3), imagesc(Ig(2:end-1,2:end-1)), colorbar
title('filtre gaussien'), axis('square')
subplot(2,2,4), imagesc(Ih(2:end-1,2:end-1)), colorbar
title('passe-haut'), axis('square')