clear
close all

I=imread('/Users/marcel/Documents/MATLAB/0-images-exemples/house.jpg');
I=rgb2gray(I);
I=double(I)/255.0;
Ib=imnoise(I, 'salt & pepper', 0.01);

% 1re mthode
figure(1)
subplot(3,3,1), imshow(I), title('image originale')
subplot(3,3,2), imshow(Ib), title('image bruitee')

h3=ones(3,3)/9;
I3=filter2(h3,Ib);
subplot(3,3,4), imshow(I3), title('filtrage 3x3')

h5=ones(5,5)/5^2;
I5=filter2(h5,Ib);
subplot(3,3,5), imshow(I5), title('filtrage 5x5')

h7=ones(7,7)/7^2;
I7=filter2(h7,Ib);
subplot(3,3,6), imshow(I7), title('filtrage 7x7')

subplot(3,3,7), imshow(I3), title('filtrage 3x3, 1 fois')

I3_2=filter2(h3,I3);
subplot(3,3,8), imshow(I3_2), title('filtrage 3x3, 2 fois')

I3_3=filter2(h3,I3_2);
subplot(3,3,9), imshow(I3_3), title('filtrage 3x3, 3 fois')

% 2me mthode
figure(2)
subplot(3,3,1), imshow(I), title('image originale')
subplot(3,3,2), imshow(Ib), title('image bruitee')

for n=1:3
    h=ones(2*n+1,2*n+1)/(2*n+1)^2;
    If=filter2(h,Ib);
    subplot(3,3,n+3), imshow(If)
    title(['filtrage ',int2str(2*n+1),'x',int2str(2*n+1)])
end

h=ones(3,3)/9;
If=Ib;
for n=1:3
    If=filter2(h,If);
    subplot(3,3,n+6), imshow(If)
    title(['filtrage 3x3, ',int2str(n),' fois'])
end