clear
close all

%Isp = zeros(8,8); Isp(:,1:end/2)=1
Isp = ones(8,8); Isp(:,end/2+1:end)=0

Isp_low = filter2(ones(3,3)/9, Isp)
Isp_gauss = filter2([1 2 1;2 4 2;1 2 1]/16., Isp)
Isp_hi = filter2([-1 -1 -1;-1 9 -1;-1 -1 -1], Isp)

figure, colormap('gray')

subplot(2,4,1), imagesc(Isp(2:end-1,2:end-1)), colorbar
title('image originale'), axis('square')

subplot(2,4,2), imagesc(Isp_low(2:end-1,2:end-1)), colorbar
title('moyenne glissante'), axis('square')

subplot(2,4,3), imagesc(Isp_gauss(2:end-1,2:end-1)), colorbar
title('filtrage gaussien'), axis('square')

subplot(2,4,4), imagesc(Isp_hi(2:end-1,2:end-1)), colorbar
title('filtrage passe-haut'), axis('square')

subplot(2,4,5), plot(Isp(4,2:end-1),'--o')
axis([1 6 -0.1 1.1]), axis('square')

subplot(2,4,6), plot(Isp_low(4,2:end-1),'--o')
axis([1 6 -0.1 1.1]), axis('square')

subplot(2,4,7), plot(Isp_gauss(4,2:end-1),'--o')
axis([1 6 -0.1 1.1]), axis('square')

subplot(2,4,8), plot(Isp_hi(4,2:end-1),'--o')
axis([1 6 -3.5 4.5]), axis('square')